org.apache.poi.xslf.usermodel

## Interface XSLFShapeContainer

- All Superinterfaces:
    java.lang.Iterable<XSLFShape>, ShapeContainer<XSLFShape,XSLFTextParagraph>
  All Known Implementing Classes:
    XSLFGroupShape, XSLFNotes, XSLFNotesMaster, XSLFSheet, XSLFSlide, XSLFSlideLayout, XSLFSlideMaster

      public interface XSLFShapeContainer
      extends ShapeContainer<XSLFShape,XSLFTextParagraph>

  Common interface for shape containers, e.g. sheets or groups of shapes

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Removes all of the elements from this container (optional operation).
    `XSLFAutoShape` | `createAutoShape()` create a new shape with a predefined geometry and add it to this shape container
    `XSLFConnectorShape` | `createConnector()` create a connector
    `XSLFFreeformShape` | `createFreeform()` create a new shape with a custom geometry
    `XSLFGroupShape` | `createGroup()` create a group of shapes belonging to this container
    `XSLFPictureShape` | `createPicture(PictureData pictureData)` create a picture belonging to this container
    `XSLFTextBox` | `createTextBox()` create a text box

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.ShapeContainer

      `addShape, createOleShape, createTable, getShapes, removeShape`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, iterator, spliterator`

- - ### Method Detail

    - #### createAutoShape

          XSLFAutoShape createAutoShape()

      Description copied from interface: `ShapeContainer`
      create a new shape with a predefined geometry and add it to this shape container
      Specified by:
        `createAutoShape` in interface `ShapeContainer<XSLFShape,XSLFTextParagraph>`

    - #### createFreeform

          XSLFFreeformShape createFreeform()

      Description copied from interface: `ShapeContainer`
      create a new shape with a custom geometry
      Specified by:
        `createFreeform` in interface `ShapeContainer<XSLFShape,XSLFTextParagraph>`

    - #### createTextBox

          XSLFTextBox createTextBox()

      Description copied from interface: `ShapeContainer`
      create a text box
      Specified by:
        `createTextBox` in interface `ShapeContainer<XSLFShape,XSLFTextParagraph>`

    - #### createConnector

          XSLFConnectorShape createConnector()

      Description copied from interface: `ShapeContainer`
      create a connector
      Specified by:
        `createConnector` in interface `ShapeContainer<XSLFShape,XSLFTextParagraph>`

    - #### createGroup

          XSLFGroupShape createGroup()

      Description copied from interface: `ShapeContainer`
      create a group of shapes belonging to this container
      Specified by:
        `createGroup` in interface `ShapeContainer<XSLFShape,XSLFTextParagraph>`

    - #### createPicture

          XSLFPictureShape createPicture(PictureData pictureData)

      Description copied from interface: `ShapeContainer`
      create a picture belonging to this container
      Specified by:
        `createPicture` in interface `ShapeContainer<XSLFShape,XSLFTextParagraph>`

    - #### clear

          void clear()

      Removes all of the elements from this container (optional operation). The container will be empty after this call returns.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.